%global with_python3 1
%global pkgname factory_boy
%global commit 9b8ad9be6f3b033e1e3673e4329ac63ba9fa07d9
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-factory-boy
Version:        2.5.2
Release:        2%{?dist}
Summary:        A versatile test fixtures replacement based on thoughtbot's factory_girl

Group:          Development/Languages
License:        MIT
URL:            https://github.com/rbarrois/factory_boy
Source0:        https://github.com/rbarrois/factory_boy/archive/%{commit}/%{pkgname}-%{commit}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-mock
BuildRequires:  python-django
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
factory_boy is a fixtures replacement based on thoughtbot's factory_girl
<http://github.com/thoughtbot/factory_girl>.

Its features include:

- Straightforward syntax
- Support for multiple build strategies (saved/unsaved instances, attribute
  dicts, stubbed objects)
- Powerful helpers for common cases (sequences, sub-factories, reverse
  dependencies, circular factories, ...)
- Multiple factories per class support, including inheritance
- Support for various ORMs (currently Django, Mogo, SQLAlchemy)

%if 0%{?with_python3}
%package -n python3-factory-boy
Summary:        A versatile test fixtures replacement based on thoughtbot's factory_girl
Group:          Development/Languages

%description -n python3-factory-boy
factory_boy is a fixtures replacement based on thoughtbot's factory_girl
<http://github.com/thoughtbot/factory_girl>.

Its features include:

- Straightforward syntax
- Support for multiple build strategies (saved/unsaved instances, attribute
  dicts, stubbed objects)
- Powerful helpers for common cases (sequences, sub-factories, reverse
  dependencies, circular factories, ...)
- Multiple factories per class support, including inheritance
- Support for various ORMs (currently Django, Mogo, SQLAlchemy)

%endif

%package doc
Group: Documentation
Summary: API documentation for %{name}

%description doc
Documentation for the %{name} API

%prep
%setup -qn %{pkgname}-%{commit}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
pushd docs
make %{?_smp_mflags} html
make %{?_smp_mflags} text
make %{?_smp_mflags} man
find . -name .buildinfo -print0 | xargs -0 rm -f
sed -i 's/\r$//' _build/html/_static/jquery.js
popd

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -D -m 644 docs/_build/man/factoryboy.1 %{buildroot}%{_mandir}/man3/factoryboy.3

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%check
%{__python2} setup.py test

%files
%doc README.rst
%{python2_sitelib}/factory
%{python2_sitelib}/%{pkgname}-%{version}-py*.egg-info

%if 0%{?with_python3}
%files -n python3-factory-boy
%doc README.rst
%{python3_sitelib}/factory
%{python3_sitelib}/%{pkgname}-%{version}-py*.egg-info
%endif

%files doc
%doc README.rst
%doc docs/_build/html
%doc docs/_build/text
%{_mandir}/man3/factoryboy.3*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 23 2014 Juan Orti Alcaine <jorti@fedoraproject.org> - 2.5.2-1
- New version 2.5.2

* Tue Dec 23 2014 Juan Orti <jorti@fedoraproject.org> - 2.4.1-4
- Use parallel make

* Mon Dec 15 2014 Juan Orti <jorti@fedoraproject.org> - 2.4.1-3
- Update to commit 392db861e585f12038f18f41e467ecfcab9d39b0
- Drop patch factory_boy-2.4.1-disable_broken_tests.patch

* Wed Dec 10 2014 Juan Orti <jorti@fedoraproject.org> - 2.4.1-2
- Rename python3 subpackage to python3-factory-boy
- Move manpage to doc subpackage and to section 3
- Fit summary and description in 80 characters width lines
- Remove .buildinfo files
- Run tests
- Add patch to disable broken tests
- Change Source0 to GitHub
- Add documentation in plain text format

* Wed Dec 03 2014 Juan Orti <jorti@fedoraproject.org> - 2.4.1-1
- Update to version 2.4.1
- Spec file cleanup

* Sat May 24 2014 Didier Fabert <didier.fabert@gmail.com> 2.3.1-1
- Initial RPM release
